Please do not post a support request without first reading and following the advice in https://retropie.org.uk/forum/topic/3/read-this-first

lr-mupen64plus update fails: 01_new_lib_names.diff failed to apply



  • I've been trying to update lr-mupen64plus for a couple days, it always fails in a few seconds. At first I thought it was an issue with my connection but this is only happening with this specific emulator.

    Log started at: Wed Oct 17 17:58:28 HKT 2018
    
    RetroPie-Setup version: 4.3.8 (01dc11f0)
    System: Linux osmc-machine 4.14.34-6-osmc #1 SMP PREEMPT Thu Sep 6 00:47:56 UTC 2018 armv7l GNU/Linux
    
    = = = = = = = = = = = = = = = = = = = = =
    Installing dependencies for 'lr-mupen64plus' : N64 emu - Mupen64Plus + GLideN64 for libretro
    = = = = = = = = = = = = = = = = = = = = =
    
    /home/osmc/RetroPie-Setup/tmp/build/lr-mupen64plus /home/osmc/RetroPie-Setup
    
    = = = = = = = = = = = = = = = = = = = = =
    Getting sources for 'lr-mupen64plus' : N64 emu - Mupen64Plus + GLideN64 for libretro
    = = = = = = = = = = = = = = = = = = = = =
    
    git clone --recursive --depth 1 "https://github.com/libretro/mupen64plus-libretro.git" "/home/osmc/RetroPie-Setup/tmp/build/lr-mupen64plus"
    Cloning into '/home/osmc/RetroPie-Setup/tmp/build/lr-mupen64plus'...
    patching file Makefile
    Hunk #1 FAILED at 77.
    1 out of 1 hunk FAILED -- saving rejects to file Makefile.rej
    patching file Makefile.common
    Hunk #1 succeeded at 302 with fuzz 1 (offset 1 line).
    Hunk #2 succeeded at 312 (offset -2 lines).
    patching file mupen64plus-core/projects/unix/Makefile
    /home/osmc/RetroPie-Setup
    lr-mupen64plus patch /home/osmc/RetroPie-Setup/scriptmodules/libretrocores/lr-mupen64plus/01_new_lib_names.diff failed to apply
    
    Log ended at: Wed Oct 17 17:58:40 HKT 2018
    Total running time: 0 hours, 0 mins, 12 secs
    

  • administrators

    @sl89 you didn't update RetroPie-Setup



  • @BuZz I updated the script from the option on Retropie-Setup before each time I tried to update the package, is that not enough?


  • administrators

    @sl89 in the log above you have v4.3.8 which is not up to date. If the retropie-setup script updated without error, maybe you have installed retropie from the wrong repository or something (since you manually installed on OSMC).

    What's the output from

    cd ~/RetroPie-Setup && git remote get-url origin
    


  • osmc@osmc-machine:~$ cd ~/RetroPie-Setup && git remote get-url origin
    git://github.com/petrockblog/RetroPie-Setup.git
    

    @BuZz I seem to remember I installed it after instructions on the official website but I think the official github repo is RetroPie/RetroPie-Setup so I must be wrong. I'll clone that repo and check if the issue is fixed.



  • @BuZz Okay, that fixed it. I updated all the packages, there is no issue and lr-mupen64plus is running. Thanks.


  • administrators

    @sl89 the repo moved a few years ago so maybe you installed before that.


 

Contributions to the project are always appreciated, so if you would like to support us with a donation you can do so here.

Hosting provided by Mythic-Beasts. See the Hosting Information page for more information.